POSTAccountPermissionUpdate

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/accountpermissionupdate

Update the account's permission.

Request Body
owner_addressstringrequired

Transaction initiator address. (Format: Base58 or Hex)

activesstring (json)required

List of active permissions for the account. Example: [{ "type": 2, "permission_name": "active0", "threshold": 2, "operations": "7fff1fc0037e0000000000000000000000000000000000000000000000000000", "keys": [{ "address": "TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y", "weight": 1 }, { "address": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1", "weight": 1 }] }]

ownerstring (json)required

Owner permission object of the account. Example: { "type": 0, "permission_name": "owner", "threshold":1, "keys": [{ "address": "TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y", "weight": 1 }] }

witnessstring (json)

Witness permission object (for Super Representatives). Example: {"type": 1, "permission_name": "witness", "threshold": 1, "keys": [{ "address": "TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y", "weight": 1 }]}

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Permission_idinteger (int32)

Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.

Responses
X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/accountpermissionupdate" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
    "actives": "[{ \t\"type\": 2, \t\"permission_name\": \"active0\", \t\"threshold\": 2, \t\"operations\": \"7fff1fc0037e0000000000000000000000000000000000000000000000000000\", \t\"keys\": [{ \t\t\"address\": \"TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y\", \t\t\"weight\": 1 \t}, { \t\t\"address\": \"TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1\", \t\t\"weight\": 1 \t}] }]",
    "owner": "{ \t\"type\": 0, \t\"permission_name\": \"owner\", \t\"threshold\":1, \t\"keys\": [{ \t\t\"address\": \"TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y\", \t\t\"weight\": 1 \t}] }",
    "witness": "{\"type\": 1,\n\"permission_name\": \"witness\",\n    \"threshold\": 1,\n    \"keys\": [{ \"address\": \"TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y\",  \"weight\": 1 }]}",
    "visible": true
  }'
Response
Example · 200
{}